2019-01-16 17:32 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002103NetSurfLayoutpublic2015-03-10 11:02
ReporterVincent Sanders 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.1 
Target Version3.1Fixed in Version3.1 
Summary0002103: Table layout is not correctly confining rowspans to their groups
DescriptionA table with a rowspan entry affects subsequent rows outside its grouping (eg. thead block) causing incorrect layout.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1789
URL of problem page
Attached Files

-Relationships
related to 0002102closedMichael Drake click on URL causes crash - Assertion failed 
+Relationships

-Notes
Vincent Sanders

~0000299

Vincent Sanders (administrator)

Improved in commit cfc75ac6f98ce614cb224ffa243daf68a166c907 but need to collapse spurious columns
Michael Drake

~0000301

Michael Drake (administrator)

22:05 < tlsa> i think there's a fairly neat way to fix it
22:06 < tlsa> make box_normalise_table_spans() operate on a row_group, rather
              than a whole table
22:07 < tlsa> and call it at the end of row_group normalisation, rather than
              the end of table normalisation

The columns list would also need to be adapted for the change to covering just a single row group.
Michael Drake

~0000302

Michael Drake (administrator)

When this is fixed, c36078db73ba4a5e7ad5fa0019dfa3fffdead59d can be reverted.
Michael Drake

~0000303

Michael Drake (administrator)

Fixed in 679c87e527e03926b6369c0f82096e5459beef13.
Vincent Sanders

~0000695

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-04-09 14:15 Vincent Sanders New Issue
2014-04-09 14:15 Vincent Sanders File Added: crash2.html
2014-04-09 14:15 Vincent Sanders Relationship added related to 0002102
2014-04-09 14:16 Vincent Sanders Status new => confirmed
2014-04-09 14:19 Vincent Sanders File Added: goodtble.png
2014-04-09 17:13 Vincent Sanders File Deleted: crash2.html
2014-04-09 17:13 Vincent Sanders File Deleted: goodtble.png
2014-04-09 17:13 Vincent Sanders File Added: rowspntst.html
2014-04-09 17:15 Vincent Sanders File Added: goodtble.png
2014-04-09 17:18 Vincent Sanders File Added: badtble.png
2014-04-09 17:22 Vincent Sanders Note Added: 0000299
2014-04-09 21:14 Vincent Sanders Assigned To => Vincent Sanders
2014-04-09 21:17 Michael Drake Note Added: 0000301
2014-04-09 21:20 Michael Drake Note Added: 0000302
2014-04-12 15:19 Michael Drake Note Added: 0000303
2014-04-12 15:19 Michael Drake Assigned To Vincent Sanders => Michael Drake
2014-04-12 15:19 Michael Drake Status confirmed => resolved
2014-04-12 15:19 Michael Drake Resolution open => fixed
2014-04-12 15:19 Michael Drake Fixed in Version => 3.1
2014-04-12 15:19 Michael Drake Target Version => 3.1
2015-03-10 11:02 Vincent Sanders Note Added: 0000695
2015-03-10 11:02 Vincent Sanders Status resolved => closed
+Issue History